#ifndef CONEXION_SSL_H
#define CONEXION_SSL_H
#include "conexion.h"
#include <openssl/ssl.h>

class conexion_ssl : public conexion
{
public:
  /**
   * @brief conexion_ssl
   * Create a secure conexion
   * @param conf Config file to give the parameters of conexion
   */
  conexion_ssl(config_reader &conf);
  /**
   * @brief read_string
   * Read a string in the SSL socket
   * @param input String readed
   * @param size Length to read
   * @return Size of bytes readed
   */
  ssize_t read_string(std::string &input, int size);
  /**
   * @brief write_string
   * Write a sitring in the secure socket
   * @param output String to send
   * @return bytes sended
   */
  ssize_t write_string(std::string output);
private:
  SSL* ssl;
};

#endif // CONEXION_SSL_H
