#ifndef CONFIG_READER_H
#define CONFIG_READER_H
#include <string>
#include <fstream>

class config_reader
{
public:
  /**
   * @brief config_reader
   * Generate a objet to extract info to a config file
   * @param path File path to extract the file
   */
  config_reader(std::string);
  /**
   * @brief get_param
   * Permit extract a value in a config file
   * @param variable Name of a field to extract the info
   * @param value Info extracted
   * @return True if the field exists, false if not
   */
  bool get_param(std::string variable, std::string &value);
private:
  std::ifstream file;
};

#endif // CONFIG_READER_H
