#ifndef CONTAINER_WINDOW_H
#define CONTAINER_WINDOW_H
#include "view_install.h"
#include "view_loggin.h"
#include "controller_install.h"
#include "conexion.h"
#include "session_manager.h"
#include "view_info.h"
#include "controller_info.h"
#include "view_user_info.h"
#include "controller_user_info.h"

#include <gtkmm/notebook.h>
#include <memory>

class container_window: public Gtk::Window
{
public:
  /**
   * @brief container_window
   * Windos that contains all views and controlers
   * @param con Conexion used in the aplication
   * @param app App that contains the gtk loop
   */
  container_window(conexion *con, Glib::RefPtr< Gtk::Application > app);
  controller_info *cont_info;
private:
  Glib::RefPtr< Gtk::Application > app;
  std::unique_ptr<session_manager> sesion;
  view_loggin loggin;
  view_install install;
  view_info info;
  view_user_info uinfo;
  controller_install *cont_inst;
  controller_user_info *con_uinfo;
  Gtk::Notebook book;
};

#endif // CONTAINER_WINDOW_H
