#ifndef CONTROLLER_INFO_H
#define CONTROLLER_INFO_H

#include "session_manager.h"
#include "view_info.h"

class controller_info
{
public:
  /**
   * @brief controller_info
   * View controler that expose package information
   * @param view View to controle
   * @param sesion Model to have the funcionality
   */
  controller_info(view_info *view, session_manager *sesion);
  /**
   * @brief load_info
   * Load the info in the table
   */
  void load_info();
private:
  view_info *view;
  session_manager *sesion;
  /**
   * @brief get_first
   * Get the firs string until the special character ":"
   * @param info String to divide, the string have substract the string returned, and the first ":"
   * @return The string substracted
   */
  std::string get_first(std::string &info);
  /**
   * @brief on_button_clicked
   * Button function
   */
  void on_button_clicked();
  /**
   * @brief add_controlers
   * Add controlers to the bottons
   */
  void add_controlers();
};

#endif // CONTROLLER_INFO_H
