#ifndef DIALOG_ADD_USER_H
#define DIALOG_ADD_USER_H

#include <gtkmm/window.h>
#include <gtkmm/dialog.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>
#include <gtkmm/checkbutton.h>

#include "session_manager.h"

class dialog_add_user : public Gtk::Dialog
{
public:
  /**
   * @brief dialog_add_user
   * Dialog to add users
   * @param win Window to stop
   * @param sesion Model to implement te funcionality
   */
  dialog_add_user(Gtk::Window *win, session_manager *sesion);
private:
  session_manager *sesion;

  Gtk::Box box_user;
  Gtk::Label user;
  Gtk::Entry entry_user;

  Gtk::Box box_pass;
  Gtk::Label pass;
  Gtk::Entry entry_pass;

  Gtk::Box box_admin;
  Gtk::Label l_admin;
  Gtk::CheckButton c_admin;

  Gtk::Button b_add;
  /**
   * @brief on_button_clicked
   * Button function
   */
  void on_button_clicked();
  /**
   * @brief add_elements
   * Add controlers to the bottons
   */
  void add_elements();
};

#endif // DIALOG_ADD_USER_H
