#ifndef READ_USES_H
#define READ_USES_H
#include <string>
#include <fstream>
#include <list>

class read_uses
{
public:
  /**
   * @brief read_uses
   * Object that read configuration for a package
   * @param name Name from a package
   */
  read_uses(std::string name);
  /**
   * @brief get_uses
   * Get the content of a config file
   * @return Content of a config file
   */
  std::string* get_uses();
  /**
   * @brief exist_file
   * Say if a package have config file
   * @return True if package exists, false if not
   */
  bool exist_file();
private:
  std::ifstream file;
  std::string short_name;
  bool exist;
};

#endif // READ_USES_H
