#ifndef VIEW_INFO_H
#define VIEW_INFO_H

#include <gtkmm/box.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/treeview.h>
#include <gtkmm/liststore.h>

class view_info: public Gtk::Box
{
public:
  /**
   * @brief view_info
   * View to show all package information
   */
  view_info();
  Gtk::TreeView tree;
  class ModelColumns : public Gtk::TreeModel::ColumnRecord
    {
    public:
      ModelColumns()
      { add(r_name); add(r_date); add(r_user); add(r_config); }

      Gtk::TreeModelColumn<std::string> r_name;
      Gtk::TreeModelColumn<std::string> r_date;
      Gtk::TreeModelColumn<std::string> r_user;
      Gtk::TreeModelColumn<bool> r_config;
    };
  ModelColumns m_Columns;
  Glib::RefPtr<Gtk::ListStore> m_refTreeModel;
  Gtk::ButtonBox b_box;
  Gtk::Button b_remove;
  /**
   * @brief restart_table
   * Rescan all packages information
   */
  void restart_table();
};

#endif // VIEW_INFO_H
